Package org.springframework.util

# Class MimeType.SpecificityComparator<T extends MimeType>

java.lang.Object
org.springframework.util.MimeType.SpecificityComparator<T>

Type Parameters:
  `T` - the type of mime types that may be compared by this comparator

All Implemented Interfaces:
  `Comparator<T>`

Enclosing class:
  MimeType

@Deprecated(since="6.0", forRemoval=true) public static class MimeType.SpecificityComparator<T extends MimeType> extends Object implements Comparator<T>
Deprecated, for removal: This API element is subject to removal in a future version.
As of 6.0, with no direct replacement
Comparator to sort `MimeTypes` in order of specificity.

## Constructor Summary

Constructors
Constructor
Description
`SpecificityComparator()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(T mimeType1, T mimeType2)`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected int`
`compareParameters(T mimeType1, T mimeType2)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### SpecificityComparator

public SpecificityComparator()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### compare

public int compare(T mimeType1, T mimeType2)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `compare` in interface `Comparator<T extends MimeType>`

### compareParameters

protected int compareParameters(T mimeType1, T mimeType2)
Deprecated, for removal: This API element is subject to removal in a future version.